<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Edit Device</strong>
        </h3>
      </div>

      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateDeviceDetails()">

          <div class="form-group">
            <label class="col-sm-2 control-label">Ud-ID
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder=" Ud-ID" formControlName="ud_id" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['ud_id'].invalid && (editForm.controls['ud_id'].dirty || editForm.controls['ud_id'].touched)">
                <div *ngIf="editForm.controls['ud_id'].errors.required" class="alert alert-danger">
                  Ud-ID is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Device model
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder="Device model" formControlName="device_model" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['device_model'].invalid && (editForm.controls['device_model'].dirty || editForm.controls['device_model'].touched)">
                <div *ngIf="editForm.controls['device_model'].errors.required" class="alert alert-danger">
                  Device model is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Manufacturer
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10">
              <input type="text" placeholder=" Manufacturer" formControlName="manufacturer" class="form-control">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="editForm.controls['manufacturer'].invalid && (editForm.controls['manufacturer'].dirty || editForm.controls['manufacturer'].touched)">
                <div *ngIf="editForm.controls['manufacturer'].errors.required" class="alert alert-danger">
                  Manufacturer is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/devices']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>